package fr.inria.gemo.util.xml;

import java.io.File;
import java.io.IOException;

import org.w3c.dom.Document;
import org.xml.sax.SAXException;

import fr.inria.gemo.util.xml.DOMSerializer;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.FactoryConfigurationError;
import javax.xml.parsers.ParserConfigurationException;

/**
 * @author baumgart
 */
public class DOMSerializerTest {
	static public void main(String[] args) throws Exception {
		java.net.URL urlFile = DOMSerializerTest.class.getResource(args[0]);
		File file = new File(urlFile.getPath());
		System.out.println("FILE = " + file.getCanonicalPath());
		Document doc = null;
		try {
			DocumentBuilder domBuilder = XMLUtils.GetDocumentBuilder(true);
			doc = domBuilder.parse(file);
			System.out.println("After parsing the XML file.");
		} catch (ParserConfigurationException e) {
			e.printStackTrace();
		} catch (FactoryConfigurationError e) {
			e.printStackTrace();
		} catch (SAXException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
		System.out.println(DOMSerializer.Serialize(doc));
	}
}
