/*
 * Created on 7 juil. 2003
 */
package fr.inria.gemo.util;

/**
 * @author Jrme Baumgarten
 */
public class StringTokenizer {
	private java.util.StringTokenizer tokenizer = null;
	private String currentToken = null;

	public StringTokenizer(String str) {
		this.tokenizer = new java.util.StringTokenizer(str);
	}

	public StringTokenizer(String str, String delim) {
		this.tokenizer = new java.util.StringTokenizer(str, delim);
	}

	public StringTokenizer(String str, String delim, boolean returnDelims) {
			this.tokenizer = new java.util.StringTokenizer(str, delim, returnDelims);
	}

	public int countTokens() {
		return this.tokenizer.countTokens();
	}

	public boolean hasMoreTokens() {
		return this.tokenizer.hasMoreTokens();
	}

	public String nextToken() {
		return (this.currentToken = this.tokenizer.nextToken());
	}

	public String getCurrentToken() {
		return this.currentToken;
	}

	public boolean isLastToken() {
		return ! hasMoreTokens();
	}
}
